
/***
 * NOTA: LA COBERTURA SE REFIERE SIEMPRE A LA CLASE CINE. 
 * EN LAS DEMS NO HE MATADO NINGN MUTANTE.
 */

package tests;

import java.io.IOException;

import dominio.Cine;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class CineTest extends TestCase {
	// Inicio: ??
	public void test1() {
		Cine c=new Cine("18:00", "18:00", "20:30", "20:30", 
				"20:00", "20:00", "23:00", "23:00", 
				"El padrino", "Two much", "El padrino", "Two much",
				6.0, 6.0, 10, 10);
		assertTrue(c.getSala1().getbarras()==10);
		assertTrue(c.getSala1().getmesas()==10);
		try {
			c.hacerreserva(1, 1, "5000", "2");
		} catch (FueradeloslimitesException e) {
			fail();
		} catch (DniException e) {
			fail();
		}
	}
	// Cobertura: 1%; Hora: 10:39:24
	
	// Inicio: 10:39:55
	public void test2() {
		Cine c=new Cine("18:00", "18:00", "20:30", "20:30", 
				"20:00", "20:00", "23:00", "23:00", 
				"El padrino", "Two much", "El padrino", "Two much",
				6.0, 6.0, 10, 10);
		try {
			c.hacerreserva(1, 1, "5000", "8");	
			assertTrue(c.getSala1().distribucionsala(1).contains("X 8"));
		} catch (FueradeloslimitesException e) {
			fail();
		} catch (DniException e) {
			fail();
		}
		try {
			c.hacerreserva(1, 1, "5000", "9");	
		} catch (FueradeloslimitesException e) {
			fail();
		} catch (DniException e) {
			fail();
		}
		try {
			c.cancelarreserva(1, 1, "5000", "8");
			assertTrue(c.getSala1().distribucionsala(1).contains("O 8"));
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		try {
			c.cancelarreserva(1, 1, "5000", "9");	
		} catch (FueradeloslimitesException e) {
			fail();
		} catch (DniException e) {
			fail();
		}		
	}
	// Hora: 10:43:49; Cobertura: 1%
	
	
	// Inicio: 10:44:00
	public void test3() {
		Cine c=new Cine("18:00", "18:00", "20:30", "20:30", 
				"20:00", "20:00", "23:00", "23:00", 
				"El padrino", "Two much", "El padrino", "Two much",
				6.0, 6.0, 10, 10);
		try {
			c.hacerreserva(1, 1, "5000", "2");
			c.hacerreserva(1, 1, "6000", "3");
			assertTrue(c.getSala1().distribucionsala(1).contains("X 2"));
			assertTrue(c.getSala1().distribucionsala(1).contains("X 3"));
			assertTrue(c.getSala1().getbarras()==10);
			assertTrue(c.getSala1().getmesas()==10);
			c.hacerreserva(2, 1, "5000", "1");
			assertTrue(c.getSala2().distribucionsala(1).contains("X 1"));
			c.cancelarreserva(2, 1, "5000", "1");
			c.getSala2().cambiaprecio(7);
			c.getSala1().cambiaprecio(7);
			c.getSala2().cambiar_adaptables(5);
			boolean existe = c.getSala1().getreserva(2, 1);
			assertTrue(existe);
		} catch (FueradeloslimitesException e) {
			fail();
		} catch (DniException e) {
			fail();
		}
		try {
			c.getSala1().hacerreserva(0, 0, 0);
			fail();
		}
		catch (Exception e) {
		}
		try {
			c.cambiarhc(1, 1, "18:45");
			c.cambiarhc(1, 2, "18:45");
			c.cambiarhc(2, 1, "18:45");
			c.cambiarhc(2, 2, "18:45");
		} catch (HoraException e) {
			fail();
		}
		try {
			String antes=c.getSala2().distribucionsala(1);
			c.getSala2().cambiar_adaptables(6);
			String despues=c.getSala2().distribucionsala(1);
			assertFalse(antes.equals(despues));
			c.cambiaradaptables("4");
		}
		catch (Exception e) {
			fail();
		}
	}
	// Hora: 10:59; Cobertura: 18%
	// Hora: 11:05; Cobertura: 40%
	
	// Inicio: 11:10:00
	public void test4() {
		Cine c=new Cine("18:00", "18:00", "20:30", "20:30", 
				"20:00", "20:00", "23:00", "23:00", 
				"El padrino", "Two much", "El padrino", "Two much",
				6.0, 6.0, 10, 10);
		try {
			c.hacerreserva(1, 1, "5000", "2");
			c.hacerreserva(1, 1, "6000", "3");
			assertTrue(c.getSala1().distribucionsala(1).contains("X 2"));
			assertTrue(c.getSala1().distribucionsala(1).contains("X 3"));
			assertTrue(c.getSala1().getbarras()==10);
			assertTrue(c.getSala1().getmesas()==10);
			c.hacerreserva(2, 1, "5000", "1");
			assertTrue(c.getSala2().distribucionsala(1).contains("X 1"));
			String a=c.toString();
			c.cancelarreserva(2, 1, "5000", "1");
			String b=c.toString();
			assertFalse(a.equals(b));
			c.getSala2().cambiaprecio(7);
			c.getSala1().cambiaprecio(7);
			c.getSala2().cambiar_adaptables(5);
			boolean existe = c.getSala1().getreserva(2, 1);
			assertTrue(existe);
		} catch (FueradeloslimitesException e) {
			fail();
		} catch (DniException e) {
			fail();
		}
		try {
			c.getSala1().hacerreserva(0, 0, 0);
			fail();
		}
		catch (Exception e) {
		}
		try {
			c.cambiarhc(1, 1, "18:45");
			c.cambiarhc(1, 2, "18:45");
			c.cambiarhc(2, 1, "18:45");
			c.cambiarhc(2, 2, "18:45");
			c.cambiarprecio(1, "5");
			double precio1 = c.getSala1().getprecio();
			assertTrue(precio1==5);
			c.cambiarprecio(2, "5");
			double precio2 = c.getSala2().getprecio();
			assertTrue(precio2==5);
		} catch (Exception e) {
			fail();
		}
		try {
			String antes=c.getSala2().distribucionsala(1);
			c.getSala2().cambiar_adaptables(6);
			String despues=c.getSala2().distribucionsala(1);
			assertFalse(antes.equals(despues));
			c.cambiaradaptables("4");
		}
		catch (Exception e) {
			fail();
		}
		String antes=c.toString();
		try {
			c.cambiarbarras("kk");
			fail();
		}
		catch (Exception e) {
		}
		String despues=c.toString();
		assertTrue(antes.equals(despues));
		antes=c.toString();
		try {
			c.cambiarbarras("5");
		}
		catch (Exception e) {
			fail();
		}
		despues=c.toString();
		assertFalse(antes.equals(despues));


		antes=c.toString();
		try {
			c.cambiarmesas("kk");
			fail();
		}
		catch (Exception e) {
		}
		despues=c.toString();
		assertTrue(antes.equals(despues));
		antes=c.toString();
		try {
			c.cambiarmesas("5");
		}
		catch (Exception e) {
			fail();
		}
		despues=c.toString();
		assertFalse(antes.equals(despues));
		
		
		try {
			c.cambiarhf(0, 0, "kk");
			fail();
		} catch (Exception e) {
		}
		try {
			c.cambiarhf(1, 1, "kk");
			fail();
		} catch (Exception e) {
		}
		
		try {
			c.cambiarhf(1, 0, "kk");
			fail();
		} catch (Exception e) {
		}
		
		try {
			c.cambiarhf(1, 1, "00:00");
		} catch (Exception e) {
			fail();
		}
		antes=c.presentacion();
		try {
			c.cambiarpeli(1, 1, "una peli");
			c.cambiarpeli(1, 2, "otra");
			c.cambiarpeli(2, 1, "kk");
			c.cambiarpeli(2, 2, "oo");
			despues=c.presentacion();
		} catch (Exception e) {
			fail();
		}
		assertFalse(antes.equals(despues));
	}
	// Hora: 11:29; Cobertura: 42% 

	
	public void test6() {
		Cine c=new Cine("18:00", "18:00", "20:30", "20:30", 
				"20:00", "20:00", "23:00", "23:00", 
				"El padrino", "Two much", "El padrino", "Two much",
				6.0, 6.0, 10, 10);
		String antes=c.presentacion();
		String despues;
		try {
			c.cambiartipo(1, 1, true);
			despues=c.presentacion();
			assertTrue(c.getSala1().getT1());
			assertFalse(antes.equals(despues));
		} catch (Exception e) {
			fail();
		}
		
		try {
			c.cambiartipo(1, 1, false);
			despues=c.presentacion();
			assertFalse(c.getSala1().getT1());
			assertTrue(antes.equals(despues));
		} catch (Exception e) {
			fail();
		}
	}
	// Hora: 11:48:12; cobertura: 45%

	
	// Inicio: 11:49:00
	public void test7() {
		Cine c=new Cine("18:00", "18:00", "20:30", "20:30", 
				"20:00", "20:00", "23:00", "23:00", 
				"El padrino", "Two much", "El padrino", "Two much",
				6.0, 6.0, 10, 10);
		String antes=c.presentacion();
		String despues;
		try {
			c.cambiartipo(0, 1, true);
			despues=c.presentacion();
			assertTrue(c.getSala2().getT1());
			assertFalse(antes.equals(despues));
		} catch (Exception e) {
			fail();
		}
		
		try {
			c.cambiartipo(0, 1, false);
			despues=c.presentacion();
			assertFalse(c.getSala2().getT1());
			assertTrue(antes.equals(despues));
		} catch (Exception e) {
			fail();
		}
		
		try {
			antes=c.getSala1().distribucionsala(1);
			c.hacerreserva(1, 1, "0", "9");
			fail();
		}
		catch (Exception e) {
		}
		despues=c.getSala1().distribucionsala(1);
		assertFalse(!antes.equals(despues));
		
		try {
			antes=c.presentacion();
			c.cambiarpeli(1, 0, "pelicula");
		}
		catch (Exception e) {
			fail();
		}
		despues=c.presentacion();
		assertFalse(antes.equals(despues));
	}
	// FIN: 11:59:00; COBERTURA: 45% 

}


