package tests;

import dominio.Cine;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import junit.framework.TestCase;

public class TestCubrirMutantes extends TestCase {

	Cine c;
	protected void setUp(){
		c = new Cine("12:34", "17:34", "12:34", "17:34", "14:34", "19:34", "14:34", "19:34", "peli1", "peli2", "peli3", "peli4", 100, 200, 10, 5);
	}
	
	public void testGentDniSesion2(){
		int dni = c.getSala1().getdni(22, 2);
		assertTrue(dni == 0);
	}
	
	public void testGentDniSesion2_2(){
		int dni = c.getSala2().getdni(22, 2);
		assertTrue(dni == 0);
	}
	
	public void testCancelarReservaS1_1(){
		try {
			c.hacerreserva(1, 1, "50", "13");
			assertTrue(c.getSala1().getreserva(13, 1));
			assertTrue(c.getSala1().getdni(13, 1) == 50);
			
			c.cancelarreserva(1, 1, "50", "13");
			assertTrue(!c.getSala1().getreserva(13, 1));
			assertTrue(c.getSala1().getdni(13, 1) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
	public void testCancelarReservaS1_2(){
		try {
			c.hacerreserva(1, 2, "50", "13");
			assertTrue(c.getSala1().getreserva(13, 2));
			assertTrue(c.getSala1().getdni(13, 2) == 50);
			
			c.cancelarreserva(1, 2, "50", "13");
			assertTrue(!c.getSala1().getreserva(13, 2));
			assertTrue(c.getSala1().getdni(13, 2) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
	public void testCancelarReservaS2_1(){
		try {
			c.hacerreserva(2, 1, "50", "13");
			assertTrue(c.getSala2().getreserva(13, 1));
			assertTrue(c.getSala2().getdni(13, 1) == 50);
			
			c.cancelarreserva(2, 1, "50", "13");
			assertTrue(!c.getSala2().getreserva(13, 1));
			assertTrue(c.getSala2().getdni(13, 1) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
	public void testCancelarReservaS2_2(){
		try {
			c.hacerreserva(2, 2, "50", "13");
			assertTrue(c.getSala2().getreserva(13, 2));
			assertTrue(c.getSala2().getdni(13, 2) == 50);
			
			c.cancelarreserva(2, 2, "50", "13");
			assertTrue(!c.getSala2().getreserva(13, 2));
			assertTrue(c.getSala2().getdni(13, 2) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
	
	
	public void testCancelarReservaS1_1_2(){
		try {
			c.hacerreserva(1, 1, "50", "14");
			assertTrue(c.getSala1().getreserva(14, 1));
			assertTrue(c.getSala1().getdni(14, 1) == 50);
			
			c.cancelarreserva(1, 1, "50", "14");
			assertTrue(!c.getSala1().getreserva(14, 1));
			assertTrue(c.getSala1().getdni(14, 1) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
	public void testCancelarReservaS1_2_2(){
		try {
			c.hacerreserva(1, 2, "50", "14");
			assertTrue(c.getSala1().getreserva(14, 2));
			assertTrue(c.getSala1().getdni(14, 2) == 50);
			
			c.cancelarreserva(1, 2, "50", "14");
			assertTrue(!c.getSala1().getreserva(14, 2));
			assertTrue(c.getSala1().getdni(14, 2) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
	public void testCancelarReservaS2_1_2(){
		try {
			c.hacerreserva(2, 1, "50", "14");
			assertTrue(c.getSala2().getreserva(14, 1));
			assertTrue(c.getSala2().getdni(14, 1) == 50);
			
			c.cancelarreserva(2, 1, "50", "14");
			assertTrue(!c.getSala2().getreserva(14, 1));
			assertTrue(c.getSala2().getdni(14, 1) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
	public void testCancelarReservaS2_2_2(){
		try {
			c.hacerreserva(2, 2, "50", "14");
			assertTrue(c.getSala2().getreserva(14, 2));
			assertTrue(c.getSala2().getdni(14, 2) == 50);
			
			c.cancelarreserva(2, 2, "50", "14");
			assertTrue(!c.getSala2().getreserva(14, 2));
			assertTrue(c.getSala2().getdni(14, 2) == 0);
		} catch (Exception e) {
			fail();
		} 
		
		
		
	}
	
}
