package tests;

import junit.framework.TestCase;
import dominio.*;

public class TestSuiteAndrea extends TestCase {

	//Hora inicio: 10:43:18  prueba distribucionsala ok
	public void test1(){
		Sala sala = new Sala_vip("12:00","16:00","15:00","19:00","peli1","peli2",5,5,5);
		sala.hacerreserva(1, 1, 6574839);
		String dist = sala.distribucionsala(1);
		boolean result = dist.contains("X 1\t");
		assertTrue(result);
	}
	//Hora fin: 11:02:03

	//Hora inicio: 11:02:51  prueba hacerreserva
	public void test2(){
		Sala sala = new Sala_vip("12:00","16:00","15:00","19:00","peli1","peli2",5,5,5);
		sala.hacerreserva(1, 1, 6574839);
		boolean reservada = sala.getreserva(1, 1);
		assertTrue(reservada);
	}
	//Hora fin: 11:08:42 

	//Hora inicio: 11:09:10  prueba cancelarreserva
	public void test3(){
		Sala sala = new Sala_vip("12:00","16:00","15:00","19:00","peli1","peli2",5,5,5);
		sala.hacerreserva(1, 1, 6574839);
		sala.cancelarreserva(1,1);
		String dist = sala.distribucionsala(1);
		boolean result = dist.contains("X 1\t");
		assertFalse(result);
	}
	//Hora fin: 11:12:11
	
	//Hora inicio: 11:21:13  prueba distribucionsala sesin no existe
	public void test4(){
		Sala sala = new Sala_vip("12:00","16:00","15:00","19:00","peli1","peli2",5,5,5);
		try {
			String dist = sala.distribucionsala(3);
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 11:30:07
	
	//Hora inicio: 11:31:19  prueba distribucionsala sesin no existe negativo
	public void test5(){
		Sala sala = new Sala_vip("12:00","16:00","15:00","19:00","peli1","peli2",5,5,5);
		try {
			String dist = sala.distribucionsala(-2);
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 11:31:36
	
	//Hora inicio: 11:32:07  prueba distribucionsala sesin no existe cero
	public void test6(){
		Sala sala = new Sala_vip("12:00","16:00","15:00","19:00","peli1","peli2",5,5,5);
		try {
			String dist = sala.distribucionsala(0);
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 11:32:27

	//Hora inicio: 11:33:05  prueba hacerreserva sala no existe 
	public void test7(){
		Cine cine = new Cine("12:00","13:00","14:00","15:00","16:00","17:00","18:00","19:00","peli1","peli2","peli3","peli4",4,5,5,5);
		try {
			cine.hacerreserva(3,1,"6574839","3");
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 11:43:01 

	//Hora inicio: 11:43:15  prueba hacerreserva sesin no existe 
	public void test8(){
		Cine cine = new Cine("12:00","13:00","14:00","15:00","16:00","17:00","18:00","19:00","peli1","peli2","peli3","peli4",4,5,5,5);
		try {
			cine.hacerreserva(1,4,"6574839","3");
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 11:44:02 

	//Hora inicio: 11:44:19  prueba hacerreserva asiento no existe 
	public void test9(){
		Cine cine = new Cine("12:00","13:00","14:00","15:00","16:00","17:00","18:00","19:00","peli1","peli2","peli3","peli4",4,5,5,5);
		try {
			cine.hacerreserva(1,1,"6574839","542");
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 11:44:46 

	//Hora inicio: 11:45:09  prueba hacerreserva dni no existe 
	public void test10(){
		Cine cine = new Cine("12:00","13:00","14:00","15:00","16:00","17:00","18:00","19:00","peli1","peli2","peli3","peli4",4,5,5,5);
		try {
			cine.hacerreserva(1,1,"-6574839","12");
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 11:45:35 

	//Cobertura 0% hora 11:50:10 habia algn error de la generacin de los mutantes ... 
	
	//Cobertura 31.62% hora 12:10:11

	//Hora inicio: 12:11:12  prueba distribucionsala infantil ok
	public void test11(){
		Sala sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		sala.hacerreserva(1, 1, 6574839);
		String dist = sala.distribucionsala(1);
		boolean result = dist.contains("X 1\t");
		assertTrue(result);
	}
	//Hora fin: 12:13:13

	//Hora inicio: 12:13:22  prueba hacerreserva
	public void test12(){
		Sala sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		sala.hacerreserva(1, 1, 6574839);
		boolean reservada = sala.getreserva(1, 1);
		assertTrue(reservada);
	}
	//Hora fin: 12:14:21 

	public void test13(){
		Sala sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		sala.hacerreserva(1, 1, 6574839);
		sala.cancelarreserva(1,1);
		String dist = sala.distribucionsala(1);
		//Hora inicio: 12:14:31  prueba cancelarreserva
		boolean result = dist.contains("X 1\t");
		assertFalse(result);
	}
	//Hora fin: 12:14:43
	
	//Hora inicio: 12:14:53  prueba distribucionsala sesin no existe
	public void test14(){
		Sala sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		try {
			String dist = sala.distribucionsala(3);
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 12:15:15
	
	//Hora inicio: 12:15:29  prueba distribucionsala sesin no existe negativo
	public void test15(){
		Sala sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		try {
			String dist = sala.distribucionsala(-2);
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 12:15:48
	
	//Hora inicio: 12:16:00  prueba distribucionsala sesin no existe cero
	public void test16(){
		Sala sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		try {
			String dist = sala.distribucionsala(0);
			fail();
		}catch (Exception e){
			assertTrue(true);
		}
	}
	//Hora fin: 12:16:37
	
	//Hora inicio: 12:17:58  prueba cambio asientos adaptables
	public void test17(){
//		Sala sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		Sala_infantil sala = new Sala_infantil("12:00","16:00","15:00","19:00","peli1","peli2",5);
		sala.cambiar_adaptables(2);
		String dist = sala.distribucionsala(1);
		boolean result = dist.contains("N 2\t");
		assertTrue(result);
	}
	//Hora fin: 12:21:27
	
	//Cobertura 34.7% hora 12:31:15
	
}
