package tests;

import java.io.IOException;

import dominio.Cine;
import dominio.Sala_infantil;
import dominio.Sala_vip;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestSuiteCarlos extends TestCase {
	
//Hora inicio 10:37
	public void testPrueba1(){
		Sala_vip sala;
		sala = new Sala_vip("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5,2,12);
		sala.hacerreserva(1,1,12345678);
		String dis = sala.distribucionsala(1);
		assertTrue(dis.contains("X 1"));
	}//Hora fin 10:54

//-----------------------
//Cobertura: 5.4 %	11:02
//-----------------------	
	
	//Hora inicio 11:06
	public void testPrueba2(){
		Sala_vip sala;
		sala = new Sala_vip("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5,2,12);
		sala.hacerreserva(1,2,12345678);
		String dis = sala.distribucionsala(2);
		assertTrue(dis.contains("X 1"));
	}//Hora fin 11:08
	
	//Hora inicio 11:10
	public void testPrueba3(){
		Sala_vip sala;
		sala = new Sala_vip("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5,2,12);
		sala.hacerreserva(1,2,12345678);
		sala.cancelarreserva(1, 2);
		String dis = sala.distribucionsala(2);
		assertTrue(dis.contains("X 1") == false);
	}//Hora fin 11:11

	//Hora inicio 11:10
	public void testPrueba4(){
		Sala_vip sala;
		sala = new Sala_vip("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5,2,12);
		sala.hacerreserva(1,1,12345678);
		assertTrue(sala.buscadni(12345678,1));
	}//Hora fin 11:13

	//Hora inicio 11:13
	public void testPrueba5(){
		Sala_vip sala;
		sala = new Sala_vip("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5,2,12);
		sala.hacerreserva(1,1,12345678);
		assertTrue(sala.getreserva(1, 1));
	}//Hora fin 11:14

	//Hora inicio 11:14
	public void testPrueba6(){
		Sala_vip sala;
		sala = new Sala_vip("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5,2,12);
		sala.hacerreserva(1,1,12345678);
		assertTrue(sala.getdni(1, 1)==12345678);
	}//Hora fin 11:15
	
//-----------------------
//Cobertura: 10.95 %	11:17
//-----------------------	
	
	
	
	//Hora inicio 11:18
	public void testPrueba7(){
		Sala_infantil sala;
		sala = new Sala_infantil("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5);
		sala.hacerreserva(1,1,12345678);
		String dis = sala.distribucionsala(1);
		assertTrue(dis.contains("X 1"));
	}//Hora fin 11:20
	
	//Hora inicio 11:21
	public void testPrueba8(){
		Sala_infantil sala;
		sala = new Sala_infantil("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5);
		sala.hacerreserva(1,2,12345678);
		String dis = sala.distribucionsala(2);
		assertTrue(dis.contains("X 1"));
	}//Hora fin 11:22
	
	//Hora inicio 11:22
	public void testPrueba9(){
		Sala_infantil sala;
		sala = new Sala_infantil("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5);
		sala.hacerreserva(1,1,12345678);
		sala.cancelarreserva(1, 1);
		String dis = sala.distribucionsala(1);
		assertTrue(dis.contains("X 1")==false);
	}//Hora fin 11:23	
	
	//Hora inicio 11:23
	public void testPrueba10(){
		Sala_infantil sala;
		sala = new Sala_infantil("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5);
		sala.hacerreserva(1,1,12345678);
		assertTrue(sala.buscadni(12345678, 1));
	}//Hora fin 11:25	

	//Hora inicio 11:25
	public void testPrueba11(){
		Sala_infantil sala;
		sala = new Sala_infantil("12:00","14:00","13:00","17:00","Sector 9","Terminator Salvation",5);
		sala.hacerreserva(1,1,12345678);
		assertTrue(sala.getdni(1,1)==12345678);
	}//Hora fin 11:27	

//-----------------------
//Cobertura: 10.95 %	11:28
//-----------------------		
	
	//Hora inicio 11:28
	public void testPrueba12(){
		Cine cine;
		cine = new Cine("10:00", "10:00", "12:00", "12:30", "11:10", "11:30", "13:30", "12:30", "Angels and Demons", "Public Enemies", "Up", "Cars", 6, 4, 5, 12);
		
		try {
			cine.hacerreserva(1, 1, "11111111", "11");
			cine.hacerreserva(1, 2, "12121212", "12");
			cine.hacerreserva(2, 1, "21212121", "21");
			cine.hacerreserva(2, 2, "22222222", "22");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	
		
		String dis11 = cine.getSala1().distribucionsala(1);
		String dis12 = cine.getSala1().distribucionsala(2);
		String dis21 = cine.getSala2().distribucionsala(1);
		String dis22 = cine.getSala2().distribucionsala(2);

		assertTrue(dis11.contains("X 11") && dis12.contains("X 12") && dis21.contains("X 21") && dis22.contains("X 22"));		
	}//Hora fin 11:55		
	
//-----------------------
//Cobertura: 19.95 %	11:58
//-----------------------	
	
	//Hora inicio 11:58
	public void testPrueba13(){
		Cine cine;
		cine = new Cine("10:00", "10:00", "12:00", "12:30", "11:10", "11:30", "13:30", "12:30", "Angels and Demons", "Public Enemies", "Up", "Cars", 6, 4, 5, 12);
		
		try {
			cine.hacerreserva(1, 1, "11111111", "11");
			cine.cancelarreserva(1,1,"11111111","11");
			} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
				
		
		String dis11 = cine.getSala1().distribucionsala(1);
		
		assertTrue(dis11.contains("X 11")==false);		
	}//Hora fin 12:03	
	
//-----------------------
//Cobertura: 33.45 %	12:04
//-----------------------	
	
	//Hora inicio 12:05
	public void testPrueba14(){
		Cine cine;
		cine = new Cine("10:00", "10:00", "12:00", "12:30", "11:10", "11:30", "13:30", "12:30", "Angels and Demons", "Public Enemies", "Up", "Cars", 6, 4, 5, 12);
		
		try {
			cine.hacerreserva(1, 1, "11111111", "11");
			} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
				
		try {
			cine.cambiarpeli(1,1,"xxx");
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		
		String Titulo11 = cine.getSala1().getP1();
					
		assertTrue(Titulo11 == "xxx");		
	}//Hora fin 12:10	
	
//-----------------------
//Cobertura: 35 %	12:14
//-----------------------	

	//Hora inicio 12:21
	public void testPrueba15(){
		Cine cine;
		cine = new Cine("10:00", "10:00", "12:00", "12:30", "11:10", "11:30", "13:30", "12:30", "Angels and Demons", "Public Enemies", "Up", "Cars", 6, 4, 5, 12);
		
		try {
			cine.hacerreserva(1, 1, "11111111", "11");
			} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		try {
			cine.cambiarhc(1,1,"13:00");
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		try {
			cine.cambiarhf(1,1,"15:00");
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}		

		try {
			cine.cambiarprecio(1, "10");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	
		
		String hc1 = cine.getSala1().gethc1();
		String hf1 = cine.getSala1().gethf1();
		double precio = cine.getSala1().getprecio();
	
					
		assertTrue(hc1 == "13:00" && hf1 == "15:00" && precio == 10);		
	}//Hora fin 12:26
	
//-----------------------
//Cobertura: 35 %	12:27
//-----------------------		


}
