package tests;

import java.io.IOException;

import dominio.Cine;
import dominio.Sala;
import dominio.Sala_vip;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestSuiteCesar extends TestCase {

	//hi:10:43:05
	public void testPrueba1(){
		Sala_vip c = new Sala_vip("10","10","10","10","10","10",50.20,5,7);
		c.cambiaprecio(55);
		double precio = c.getprecio();
		assertTrue(precio == 55);
	}
	//hf:10:59:51
	// Cobertura:   5.81%  hora: 11:12:24
	
	//hi:11:12:50
	public void testPrueba2(){
		Sala_vip c = new Sala_vip("10","10","10","10","10","10",50.20,5,7);
		c.cambiarHc1("11:00");
		String hora = c.gethc1();
		assertTrue(hora == "11:00");
	}
	//hf:11:14:56
	// Cobertura: 5.81%  hora: 11:21:04 
	
	//hi:11:18:30
	public void testPrueba3(){
		Sala_vip c = new Sala_vip("10","10","10","10","10","10",50.20,5,7);
		c.cnumerob(77);
		int barras = c.getbarras();
		assertTrue(barras == 77);
	}
	//hf:11:19:43
	// Cobertura: %6.83  hora: 11:28:30
	
	//hi:11:21:55
	public void testPrueba4(){
		Sala_vip c = new Sala_vip("10","10","10","10","10","10",50.20,5,7);
		c.cnumerom(107);
		int mesas = c.getmesas();
		assertTrue(mesas == 107);
	}
	//hf:11:22:53
	// Cobertura: %6.83  hora: 11:28:30
	
	//hi:11:29:15
	public void testPrueba5() throws FueradeloslimitesException, DniException{
		Cine c = new Cine("10","10","10","10","10","10","10","10","10","10","10","10",1,2,3,4);
		c.hacerreserva(1,1,"777","1");
		c.presentacion();	
		//assertTrue( == 107);
	}
	//hf:11:35:37
	// Cobertura: 16.75%  hora: 11:39:58 
	
	
	//hi:11:40:16
	public void testPrueba6() throws IOException{
		Cine c = new Cine("10","10","10","10","10","10","10","10","10","10","10","10",1,2,3,4);
		c.cambiarpeli(1, 1, "pelicula");
		String peli = c.getSala1().getP1();	
		assertTrue( peli == "pelicula");
	}
	//hf:11:54:09
	// Cobertura: %17.77  hora: 11:58:30 
	
	
	//hi:11:56:05
	public void testPrueba7() throws IOException, HoraException{
		Cine c = new Cine("10","10","10","10","10","10","10","10","10","10","10","10",1,2,3,4);
		c.cambiarhc(1, 1, "20:00");
		String hcom = c.getSala1().getP1();	
		assertTrue( hcom == "20:00");
	}
	//hf:11:57:39
	// Cobertura: 18.8%  hora: 12:03:58 
	
	
	//hi:11:59:11
	public void testPrueba8() throws IOException, HoraException{
		Cine c = new Cine("10","10","10","10","10","10","10","10","10","10","10","10",1,2,3,4);
		c.cambiartipo(2,2,true);
		boolean tipo = c.getSala2().getT2();	
		assertTrue( tipo== true);
	}
	//hf:12:00:05
	// Cobertura: %19.14  hora: 12:09:05 
	
	
	//hi:12:05:09
	public void testPrueba9() throws Exception{
		Cine c = new Cine("10","10","10","10","10","10","10","10","10","10","10","10",1,2,3,4);
		c.cambiarprecio(1, "55");
		String precio = c.getSala1().getP1();	
		assertTrue( precio == "55");
	}
	//hf:12:08:19
	// Cobertura: 19.82%  hora:12:14:12
	
	
	//hi:12:16:15
	public void testPrueba10() throws Exception{
		Cine c = new Cine("10","10","10","10","10","10","10","10","10","10","10","10",1,2,3,4);
		c.cancelarreserva(1,1,"777","1");
		Boolean precio = c.getSala1().getreserva(1, 1);	
		assertTrue( precio == true);
	}
	//hf:12:19:58
	// Cobertura: 28.37%  hora: 12:26:06
	
	
	//hi:12:21:37
	public void testPrueba11() throws Exception{
		Cine c = new Cine("10","10","10","10","10","10","10","10","10","10","10","10",1,2,3,4);
		c.cambiaradaptables("moldeados");
		//Boolean adapta = c.getSala1().;	
		//assertTrue( precio == true);
	}
	//hf:12:
	// Cobertura:%  hora: 
	
}
