package tests;

import java.io.IOException;

import dominio.*;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestSuiteRicardo extends TestCase {

	Cine cine;
	Sala_infantil salaInf;
	Sala_vip salaVip;

	// 10:35:31
	public void setUp() throws Exception {
		super.setUp();
		salaInf = new Sala_infantil("6", "9", "8", "11", "UP",
				"La Proposicin", 6);
		salaVip = new Sala_vip("7", "10", "9", "00", "Mi vida en ruinas",
				"La Proposicin", 8, 4, 6);
		cine = new Cine("6", "9", "8", "11", "6", "9", "8", "11", "UP",
				"La Proposicin", "UP", "La Proposicin", 8, 6, 4, 6);
	}

	// 10:44:56

	// 10:45:10
	public void testPrueba1() {
		try {
			cine.hacerreserva(1, 1, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala1().distribucionsala(1);
		assertFalse(dis.contains("X 1\t"));
	}

	// 10:49:21
	// Cobertura = 0.5 (10:53:49)

	// 10:54:57
	public void testPrueba2() {
		try {
			cine.hacerreserva(2, 1, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala2().distribucionsala(1);
		assertFalse(dis.contains("X 1\t"));
	}

	// 10:57:22

	// 10:57:45
	public void testPrueba3() {
		try {
			cine.hacerreserva(1, 1, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala1().distribucionsala(1);
		assertTrue(dis.contains("X 13\t"));
	}

	// 10:58:30

	// 10:58:53
	public void testPrueba4() {
		try {
			cine.hacerreserva(2, 1, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala2().distribucionsala(1);
		assertTrue(dis.contains("X 13\t"));
	}

	// 10:59:09
	// Cobertura = 12,5 (11:00:45)

	// 11:02:37
	public void testPrueba5() {
		try {
			cine.cambiarprecio(1, "10");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		double precio = cine.getSala1().getprecio();
		assertTrue(precio == 10.0);
	}

	// 11:07:11

	// 11:07:34
	public void testPrueba6() {
		try {
			cine.cambiarprecio(1, "10");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		double precio = cine.getSala1().getprecio();
		assertFalse(precio == 11.0);
	}

	// 11:08:09

	// 11:08:21
	public void testPrueba7() {
		try {
			cine.cambiarprecio(2, "10");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		double precio = cine.getSala2().getprecio();
		assertTrue(precio == 10.0);
	}

	// 11:08:48

	// 11:08:55
	public void testPrueba8() {
		try {
			cine.cambiarprecio(2, "10");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		double precio = cine.getSala2().getprecio();
		assertFalse(precio == 11.0);
	}

	// 11:09:16
	// Cobertura = 13.0 (11:10:09)

	// 11:10:45
	public void testPrueba9() {
		try {
			cine.cambiarbarras("12");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		int barras = cine.getSala1().getbarras();
		assertFalse(barras == 12);
	}

	// 11:12:49

	// 11:13:08
	public void testPrueba10() {
		try {
			cine.cambiarmesas("8");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		int barras = cine.getSala1().getmesas();
		assertFalse(barras == 8);
	}

	// 11:15:42
	// Cobertura = 13.5 (11:16:47)

	// 11:19:56
	public void testPrueba11() {
		try {
			cine.hacerreserva(2, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala2().distribucionsala(2);
		assertFalse(dis.contains("X 1\t"));
	}

	// 11:22:04

	// 11:22:05
	public void testPrueba12() {
		try {
			cine.hacerreserva(1, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala1().distribucionsala(2);
		assertFalse(dis.contains("X 1\t"));
	}

	// 11:22:59

	// 11:23:00
	public void testPrueba13() {
		try {
			cine.hacerreserva(2, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala2().distribucionsala(2);
		assertTrue(dis.contains("X 13\t"));
	}

	// 11:23:27

	// 11:24:30
	public void testPrueba14() {
		try {
			cine.hacerreserva(1, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala1().distribucionsala(2);
		assertTrue(dis.contains("X 13\t"));
	}

	// 11:23:56
	// Cobertura = 13,5 (11:25:05)

	// 11:25:32
	public void testPrueba15() {
		try {
			cine.hacerreserva(1, 2, "1234567", "13");
			cine.cancelarreserva(1, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala1().distribucionsala(2);
		assertTrue(dis.contains("O 13\t"));
	}

	// 11:27:02
	// Cobertura = 30,5 (11:27:56)

	// 11:27:32
	public void testPrueba16() {
		try {
			cine.hacerreserva(2, 2, "1234567", "13");
			cine.cancelarreserva(2, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis = cine.getSala2().distribucionsala(2);
		assertTrue(dis.contains("O 13\t"));
	}

	// 11:28:48
	// Cobertura = 33 (11:29:29)

	// 11:30:04
	public void testPrueba17() {
		try {
			cine.hacerreserva(2, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		boolean dni = cine.getSala2().buscadni(1234567, 2);
		assertTrue(dni);
	}

	// 11:33:00

	// 11:33:04
	public void testPrueba18() {
		try {
			cine.hacerreserva(2, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		boolean dni = cine.getSala2().buscadni(9234567, 2);
		assertFalse(dni);
	}

	// 11:33:56

	// 11:34:01
	public void testPrueba19() {
		try {
			cine.hacerreserva(1, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		boolean dni = cine.getSala1().buscadni(1234567, 2);
		assertTrue(dni);
	}

	// 11:34:57

	// 11:35:02
	public void testPrueba20() {
		try {
			cine.hacerreserva(1, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		boolean dni = cine.getSala1().buscadni(9234567, 2);
		assertFalse(dni);
	}

	// 11:35:20
	// Cobertura = 33 (11:36:12)

	// 11:37:20
	public void testPrueba21() {
		try {
			cine.hacerreserva(1, 2, "1234567", "13");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		boolean dni = cine.getSala1().buscadni(1234567, 1);
		assertFalse(dni);
	}

	// 11:37:54
	// Cobertura = 33.0 (11:38:30)

	// 11:40:00
	public void testPrueba22() {

		try {
			cine.cambiarpeli(1, 1, "Shrek");
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String pelicula = cine.getSala1().getP1();
		assertTrue(pelicula.equals("Shrek"));
	}

	//11:44:55
	//Cobertura = 34 (11:45:37)

	// 11:46:27
	public void testPrueba23() {

		try {
			cine.cambiarpeli(2, 1, "Shrek");
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String pelicula = cine.getSala2().getP1();
		assertTrue(pelicula.equals("Shrek"));
	}

	//11:46:54
	//Cobertura = 34 (11:47:22)

	// 11:47:57
	public void testPrueba24() {

		try {
			cine.cambiarhc(2, 1, "11");
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String hc = cine.getSala2().gethc1();
		assertTrue(hc.equals("11"));
	}

	//11:49:32
	//Cobertura = 33 (11:50:08)

	// 11:50:45
	public void testPrueba25() {

		cine.getSala2().cambiar_adaptables(10);
		try {
			cine.hacerreserva(2, 1, "1234567", "1");
			cine.cancelarreserva(2, 1, "1234567", "1");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala2().distribucionsala(1);
		assertTrue(dis.contains("N 1\t"));
	}

	//11:55:16
	//Cobertura = 44 (11:56:59)

	// 11:57:23
	public void testPrueba26() {

		cine.getSala2().cambiar_adaptables(10);
		try {
			cine.hacerreserva(2, 2, "1234567", "1");
			cine.cancelarreserva(2, 2, "1234567", "1");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala2().distribucionsala(2);
		assertTrue(dis.contains("N 1\t"));
	}

	//11:57:49

	// 11:57:55
	public void testPrueba27() {

		cine.getSala2().cambiar_adaptables(10);
		try {
			cine.hacerreserva(2, 1, "1234567", "1");
			cine.cancelarreserva(2, 1, "1234567", "1");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala1().distribucionsala(1);
		assertFalse(dis.contains("N 1\t"));
	}

	//11:58:34

	// 11:58:44
	public void testPrueba28() {

		cine.getSala2().cambiar_adaptables(10);
		try {
			cine.hacerreserva(2, 2, "1234567", "1");
			cine.cancelarreserva(2, 2, "1234567", "1");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala1().distribucionsala(2);
		assertFalse(dis.contains("N 1\t"));
	}

	//11:59:19
	//Cobertura = 44 (11:59:59)

	// 12:00:15
	public void testPrueba29() {

		cine.getSala1().cambiarT1(true);

		boolean corto = cine.getSala1().getT1();
		assertTrue(corto);
	}

	//12:02:22

	// 12:02:57
	public void testPrueba30() {

		cine.getSala1().cambiarT2(false);

		boolean corto = cine.getSala1().getT2();
		assertTrue(!corto);
	}

	//12:03:25

	// 12:02:30
	public void testPrueba31() {

		cine.getSala1().cambiarT2(false);

		boolean corto = cine.getSala1().getT2();
		assertTrue(!corto);
	}

	//12:03:25
	//Cobertura = 44 (12:04:52)

	//12:06:15
	public void testPrueba32() {
		Asiento asiento = new Asiento(12);
		asiento.adaptar();
		assertTrue(asiento.getadaptable() == true);

	}

	//12:07:27
	//cobertura = 44 (12:08:03)

	// 12:09:51
	public void testPrueba33() {

		cine.setSala1(null);
		try {
			cine.hacerreserva(1, 1, "1234567", "1");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			fail();
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala1().distribucionsala(1);
		assertTrue(dis.contains("X 1\t"));
	}

	//12:13:47
	//Cobertura = 44 (12:14:28)

	// 12:14:54
	public void testPrueba34() {
		try {
			cine.hacerreserva(1, 1, "1234567", "1");
			cine.hacerreserva(1, 1, "1234567", "11");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			fail();
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala1().distribucionsala(1);
		assertTrue(dis.contains("X 1\t") && dis.contains("X 11\t"));
	}

	//12:13:47
	//Cobertura = 44 (12:16:21)

	// 12:16:50
	public void testPrueba35() {
		try {
			cine.hacerreserva(1, 1, "1234567", "1");
			cine.hacerreserva(1, 1, "1234567", "5");
			cine.cancelarreserva(1, 2, "1234567", "5");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			fail();
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala1().distribucionsala(1);
		assertTrue(dis.contains("X 1\t") && dis.contains("O 5\t"));
	}

	//12:18:00

	// 12:18:21
	public void testPrueba36() {
		try {
			cine.hacerreserva(1, 1, "1234567", "1");
			cine.hacerreserva(1, 1, "1234567", "5");
			cine.cancelarreserva(1, 2, "1234567", "15");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			fail();
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String dis = cine.getSala1().distribucionsala(1);
		assertFalse(dis.contains("X 1\t") && dis.contains("O 5\t"));
	}

	//12:18:47
	//Cobertura = 44 (12:19:33)

	// 12:21:17
	public void testPrueba37() {

		try {
			cine.cambiarprecio(1, "X");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		double precio = cine.getSala1().getprecio();
		assertFalse(precio == 11.0);
	}
	//12:23:23
	//Cobertura = 44 (12:24:06)

}
